Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

wont install


verano

Recommended Posts

I try to install oscommerce on a own server

ik go to the install page

choose for new install

but if i click on the new installation continue button nothing happens

i get the same screen again

where do i find the problem ?

Link to comment
Share on other sites

I try to install oscommerce on a own server

ik go to the install page

choose for new install

but if i click on the new installation continue button nothing happens

i get the same screen again

where do i find the problem ?

 

I had the same problem. do you have php5 on server? I had the php flag register_long_arrays set to Off and thats why the $HTTP_POST_VARS did not work (should be replaced by $_POST in all osc files)

I changed register_long_arrays = On and all is working now.

 

I think there should be a contribution that contains all the changes for osc... but I'm not sure

 

see:

http://www.oscommerce.com/forums/index.php?act...ter_long_arrays

Link to comment
Share on other sites

damn

i put in the database name and the other needed inputs

and when i click continue the screen database import screen loads does not load completely and hangs

And when i look at the database no tables or values are imported.

I'm getting pretty angry because it wont work

Link to comment
Share on other sites

I have the same issue. If I find an anser I'll let you know. What server config are you running on?

 

I am also having this issue and I cannot fogure it out. Windows Server 2003 Standard, IIS 6, PHP 5

Link to comment
Share on other sites

I am also having this issue and I cannot fogure it out. Windows Server 2003 Standard, IIS 6, PHP 5

 

Me too. Half of the Page at Step2 is loading and nothing happens.

I'm running debian kernel 2.6 and Apache

 

Thanks for help!

 

Pat

Link to comment
Share on other sites

I'm stuck in this same spot as well... (win/IIS config w/latest vers of MySQl/PHP/osCommerce)

 

This install has been a struggle thus far! :blink:

 

Is there any suggestions from the admins on this issue? I am guessing database/connectivity issue but nned more direction/expertise to diagnose. What logs (& their name/loc) should I check? How can I verify database integrity (direct thru mySQL ~ phpMyAdmin is seemingly another problem as opposed to useful tool thus far).

I am working on my own/local server. It would be excellent if there was a NON-web based installation procedure available as well. If there is, please direct me to notes... manual inst is Ok - just want it to work. ;)

 

Standing by... :-"

Link to comment
Share on other sites

I also have trouble getting past step 2 - everything looks good up to then.

 

Windows 2000, Apache, MySQL, PHP etc...

 

So now all I see is step 2 and nothing happens when I click continue.

 

Here's the code snippet from install...

 

switch ($HTTP_GET_VARS['step']) {

case '2':

if (osc_in_array('database', $HTTP_POST_VARS['install'])) {

$page_contents = 'install_2.php';

} elseif (osc_in_array('configure', $HTTP_POST_VARS['install'])) {

$page_contents = 'install_4.php';

} else {

$page_contents = 'install.php';

}

break;

case '3':

if (osc_in_array('database', $HTTP_POST_VARS['install'])) {

$page_contents = 'install_3.php';

} else {

$page_contents = 'install.php';

}

break;

 

I'm new to PHP too sadly so what's going on here? $HTTP_POST_VARS presumably is an array of variables sent by the POST method - I can't see where it's going wrong and haven't got to the point of being able to interactively debug PHP yet...

 

Any ideas?

Link to comment
Share on other sites

I have the same problem.

I'm running a Windows Server 2003, IIS 6.0, PHP 5.1.2, MySQL 5.0.18.

I've downgraded php to version 4.4.2 and on installation step 2, osCommerce shows the following error message:

Client does not support authentication protocol requested by server; consider upgrading MySQL client

 

It turns out that MySQL 5.0 uses an authentication protocol based on a password hashing algorithm that is incompatible with that used by older (pre-4.1) clients: http://dev.mysql.com/doc/refman/5.0/en/old-client.html

 

I don't want to cripple the database using the suggested solution. Has anyone any other ideeas?

Link to comment
Share on other sites

  • 1 year later...
  • 2 years later...

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...